Replace all credentials (batch replace)
curl --request PUT \
--url https://skycoach.gg/api/shop/marketplace/offers/{offerId}/credentials/replace_all \
--header 'Accept: <accept>' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"credentials": [
{
"login": "user@example.com",
"game_password": "SecurePass123",
"email": "jsmith@example.com",
"email_password": "<string>",
"is_2fa_active": true,
"comment": "<string>"
}
]
}
'import requests
url = "https://skycoach.gg/api/shop/marketplace/offers/{offerId}/credentials/replace_all"
payload = { "credentials": [
{
"login": "user@example.com",
"game_password": "SecurePass123",
"email": "jsmith@example.com",
"email_password": "<string>",
"is_2fa_active": True,
"comment": "<string>"
}
] }
headers = {
"Accept": "<accept>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
Accept: '<accept>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
credentials: [
{
login: 'user@example.com',
game_password: 'SecurePass123',
email: 'jsmith@example.com',
email_password: '<string>',
is_2fa_active: true,
comment: '<string>'
}
]
})
};
fetch('https://skycoach.gg/api/shop/marketplace/offers/{offerId}/credentials/replace_all', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": {
"message": "Credentials replaced successfully",
"replaced": 5
}
}{
"message": "Unauthenticated."
}{
"message": "Forbidden."
}Offer Credentials
Replace all credentials (batch replace)
Available only for offers with credential_system_type_id = 3 (MULTIPLE / credential-mode).
*
credential_system_type_idis the authoritative delivery-mode field. Values: 1 = No Credentials (manual delivery via chat),- 2 = Single (deprecated — coerced to MULTIPLE on write), 3 = Multiple.
PUT
/
api
/
shop
/
marketplace
/
offers
/
{offerId}
/
credentials
/
replace_all
Replace all credentials (batch replace)
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
API response format
Available options:
application/json Path Parameters
Example:
123
Body
application/json
Required array length:
1 - 1000 elementsShow child attributes
Show child attributes
Response
Success
Show child attributes
Show child attributes
⌘I